GCC Bugzilla has been upgraded from version 4.4.9 to 5.0rc3. If you see any problem, please report it to bug 64968.
Bug 51368 - libstdc++ python pretty printers should use --with-python-dir just like libjava
Summary: libstdc++ python pretty printers should use --with-python-dir just like libjava
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: libstdc++ (show other bugs)
Version: unknown
: P3 normal
Target Milestone: 4.7.0
Assignee: Benjamin Kosnik
URL:
Keywords:
Depends on: 40289
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-30 21:45 UTC by Mike Frysinger
Modified: 2012-02-21 00:22 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2012-02-16 00:00:00


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Frysinger 2011-11-30 21:45:27 UTC
the libjava code already has a useful configure flag for controlling where its python code is installed (--with-python-dir).  the libstdc++-v3 should use this same flag so package maintainers need not set the same path in multiple places.

libjava/configure.ac:
default_python_dir="/share/gcc-`cat ${srcdir}/../gcc/BASE-VER`/python/libjava"

libstdc++-v3/python/Makefile.am:
pythondir = $(datadir)/gcc-$(gcc_version)/python
Comment 1 Jonathan Wakely 2011-12-03 00:49:44 UTC
Yes, it would be sensible to make the same option work for both.

Tom, Benjamin, any objections to this?
I can try to look into it, but it probably won't be soon.
Comment 2 Benjamin Kosnik 2012-02-15 19:56:12 UTC
Author: bkoz
Date: Wed Feb 15 19:56:07 2012
New Revision: 184282

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=184282
Log:
2012-02-15  Benjamin Kosnik  <bkoz@redhat.com>

	PR libstdc++/51368
	* acinclude.m4 (GLIBCXX_ENABLE_PYTHON): New.
	* configure.ac: Use it.
	* python/Makefile.am: Same.
	* configure: Regenerate.
	* python/Makefile.in: Regenerate.
	* Makefile.in: Same.
	* doc/Makefile.in: Same.
	* include/Makefile.in: Same.
	* po/Makefile.in: Same.
	* src/Makefile.in: Same.
	* src/c++11/Makefile.in: Same.
	* src/c++98/Makefile.in: Same.
	* testsuite/Makefile.in: Same.

Modified:
    trunk/libstdc++-v3/ChangeLog
    trunk/libstdc++-v3/Makefile.in
    trunk/libstdc++-v3/acinclude.m4
    trunk/libstdc++-v3/configure
    trunk/libstdc++-v3/configure.ac
    trunk/libstdc++-v3/doc/Makefile.in
    trunk/libstdc++-v3/include/Makefile.in
    trunk/libstdc++-v3/libsupc++/Makefile.in
    trunk/libstdc++-v3/po/Makefile.in
    trunk/libstdc++-v3/python/Makefile.am
    trunk/libstdc++-v3/python/Makefile.in
    trunk/libstdc++-v3/src/Makefile.in
    trunk/libstdc++-v3/src/c++11/Makefile.in
    trunk/libstdc++-v3/src/c++98/Makefile.in
    trunk/libstdc++-v3/testsuite/Makefile.in
Comment 3 Benjamin Kosnik 2012-02-15 20:11:24 UTC
Mine.
Comment 4 Benjamin Kosnik 2012-02-15 20:24:51 UTC
This probably needs changing
http://gcc.gnu.org/install/configure.html
Comment 5 Benjamin Kosnik 2012-02-16 20:25:59 UTC
all but doc
Comment 6 Benjamin Kosnik 2012-02-21 00:22:31 UTC
fixed